import request from '../../utils/request'

export function queryRuKuXinXi(data) {
  return request({
    url: '/inOrOutOfWarehouse/queryRuKuXinXi',
    method: 'post',
    data,
  })
}

export function queryCode(pyCode, flag) {
  return request({
    url: '/inOrOutOfWarehouse/queryCode',
    method: 'get',
    params: { pyCode, flag },
  })
}

export function xiuGaiRuKuXinXi(data) {
  return request({
    url: '/inOrOutOfWarehouse/xiuGaiRuKuXinXi',
    method: 'post',
    data,
  })
}

export function queryChuKuXinXi(data) {
  return request({
    url: '/inOrOutOfWarehouse/queryChuKuXinXi',
    method: 'post',
    data,
  })
}

export function queryDeptCode() {
  return request({
    url: '/inOrOutOfWarehouse/queryDeptCode',
    method: 'get',
  })
}

export function xiuGaiChuKuXinXi(data) {
  return request({
    url: '/inOrOutOfWarehouse/xiuGaiChuKuXinXi',
    method: 'post',
    data,
  })
}

export function shanChuChuKuXinXi(drawNo, chargeCode, outSeri, inDrawNo) {
  return request({
    url: '/inOrOutOfWarehouse/shanChuChuKuXinXi',
    method: 'get',
    params: { drawNo, chargeCode, outSeri, inDrawNo },
  })
}
